BasedOnStyle: Google
IndentWidth: 4

# Add missing namespace comment on the closing bracket
FixNamespaceComments: true

# Do not indent everything in namespace
NamespaceIndentation: None

# Disable single line functions
AllowShortFunctionsOnASingleLine: None

# Braces configuration
BreakBeforeBraces: Custom
BraceWrapping:
    AfterCaseLabel: true
    AfterClass: false
    AfterControlStatement: Never
    AfterEnum: true
    AfterFunction: true
    AfterNamespace: true
    AfterStruct: true
    AfterUnion: true
    AfterExternBlock: true
    BeforeCatch: false
    BeforeElse: false

ColumnLimit: 120

# Pointer star next to type, not variable name
DerivePointerAlignment: false
PointerAlignment: Left

# Function parameters Alignment
AlignAfterOpenBracket: Align
AllowAllArgumentsOnNextLine: false
AllowAllParametersOfDeclarationOnNextLine: false
BinPackArguments: false
BinPackParameters: OnePerLine

